kio Library: KSSLSigners Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLSigners Class Reference

KDE SSL Signer Database KDE SSL Signer Database. More...

`#include <ksslsigners.h>`

Collaboration diagram for KSSLSigners:

[legend]
List of all members.

## Public Member Functions
| KSSLSigners ()
| ~KSSLSigners ()
bool | addCA (KSSLCertificate &cert, bool ssl, bool email, bool code)
bool | addCA (QString cert, bool ssl, bool email, bool code)
bool | regenerate ()
bool | useForSSL (KSSLCertificate &cert)
bool | useForSSL (QString subject)
bool | useForEmail (KSSLCertificate &cert)
bool | useForEmail (QString subject)
bool | useForCode (KSSLCertificate &cert)
bool | useForCode (QString subject)
bool | remove (KSSLCertificate &cert)
bool | remove (QString subject)
QStringList | list ()
QString | getCert (QString subject)
bool | setUse (QString subject, bool ssl, bool email, bool code)

## Detailed Description

KDE SSL Signer Database KDE SSL Signer Database.

This class is used to manipulate the KDE SSL signer database. It communicates to the KDE SSL daemon via dcop for backend integration.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL, KSSLCertificate

Definition at line 43 of file ksslsigners.h.

## Constructor & Destructor Documentation

KSSLSigners::KSSLSigners | ( |  | ) |

| Construct a KSSLSigner object. Definition at line 32 of file ksslsigners.cc. References DCOPClient::attach().

KSSLSigners::~KSSLSigners | ( |  | ) |

| Destroy this KSSLSigner object. Definition at line 38 of file ksslsigners.cc.

## Member Function Documentation

bool KSSLSigners::addCA | ( | KSSLCertificate & | cert,
|  | bool | ssl,
|  | bool | email,
|  | bool | code
| ) |

  | Add a signer to the database. Parameters:
  | cert | the signer's certificate
  | ssl | allow it to sign for SSL
  | email | allow it to sign for S/MIME
  | code | allow it to sign for code signing
Returns: true on success Definition at line 42 of file ksslsigners.cc.

bool KSSLSigners::addCA | ( | QString | cert,
|  | bool | ssl,
|  | bool | email,
|  | bool | code
| ) |

  | Add a signer to the database. Parameters:
  | cert | the signer's certificate in base64 form
  | ssl | allow it to sign for SSL
  | email | allow it to sign for S/MIME
  | code | allow it to sign for code signing
Returns: true on success Definition at line 50 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::regenerate | ( |  | ) |

| Regenerate the signer-root file from the user's settings. Returns: true on success Definition at line 74 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::useForSSL | ( | KSSLCertificate & | cert | ) |

  | Determine if a certificate can be used for SSL certificate signing. Parameters:
  | cert | the certificate
Returns: true if it can be used for SSL Definition at line 93 of file ksslsigners.cc.

bool KSSLSigners::useForSSL | ( | QString | subject | ) |

  | Determine if a certificate can be used for SSL certificate signing. Parameters:
  | subject | the certificate subject
Returns: true if it can be used for SSL Definition at line 98 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::useForEmail | ( | KSSLCertificate & | cert | ) |

  | Determine if a certificate can be used for S/MIME certificate signing. Parameters:
  | cert | the certificate
Returns: true if it can be used for S/MIME Definition at line 118 of file ksslsigners.cc.

bool KSSLSigners::useForEmail | ( | QString | subject | ) |

  | Determine if a certificate can be used for S/MIME certificate signing. Parameters:
  | subject | the certificate subject
Returns: true if it can be used for S/MIME Definition at line 123 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::useForCode | ( | KSSLCertificate & | cert | ) |

  | Determine if a certificate can be used for code certificate signing. Parameters:
  | cert | the certificate
Returns: true if it can be used for code Definition at line 143 of file ksslsigners.cc.

bool KSSLSigners::useForCode | ( | QString | subject | ) |

  | Determine if a certificate can be used for code certificate signing. Parameters:
  | subject | the certificate subject
Returns: true if it can be used for code Definition at line 148 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::remove | ( | KSSLCertificate & | cert | ) |

  | Remove a certificate signer from the database. Parameters:
  | cert | the certificate to remove
Returns: true on success Definition at line 168 of file ksslsigners.cc.

bool KSSLSigners::remove | ( | QString | subject | ) |

  | Remove a certificate signer from the database. Parameters:
  | subject | the subject of the certificate to remove
Returns: true on success Definition at line 173 of file ksslsigners.cc. References DCOPClient::call().

QStringList KSSLSigners::list | ( |  | ) |

| List the signers in the database. Returns: the list of subjects in the database See also: getCert Definition at line 193 of file ksslsigners.cc. References DCOPClient::call().

QString KSSLSigners::getCert | ( | QString | subject | ) |

  | Get a signer certificate from the database. Parameters:
  | subject | the subject of the certificate desired
Returns: the base64 encoded certificate Definition at line 211 of file ksslsigners.cc. References DCOPClient::call().

bool KSSLSigners::setUse | ( | QString | subject,
|  | bool | ssl,
|  | bool | email,
|  | bool | code
| ) |

  | Set the use of a particular entry in the certificate signer database. Parameters:
  | subject | the subject of the certificate in question
  | ssl | allow this for SSL certificate signing
  | email | allow this for S/MIME certificate signing
  | code | allow this for code certificate signing
Returns: true on success Definition at line 230 of file ksslsigners.cc. References DCOPClient::call().

The documentation for this class was generated from the following files:

- ksslsigners.h
- ksslsigners.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003